## org.eclipse.xsd.presentation
Class XSDEditor.ActionBarContributor

    java.lang.Object
      org.eclipse.ui.part.EditorActionBarContributor
          org.eclipse.ui.part.MultiPageEditorActionBarContributor
              org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
                  org.eclipse.xsd.presentation.XSDEditor.ActionBarContributor

All Implemented Interfaces:
  IMenuListener, ISelectionChangedListener, IEditorActionBarContributor, IPropertyListener

Enclosing class:
  XSDEditor

    public static class XSDEditor.ActionBarContributor

extends EditingDomainActionBarContributor
implements ISelectionChangedListener

This is the contributor for the XSD model editor.

Field Summary
`protected IEditorPart` `activeEditorPart`
`protected java.util.Collection<IAction>` `createChildActions` This will contain one CreateChildAction corresponding to each descriptor generated for the current selection.
`protected IMenuManager` `createChildMenuManager` This is the menu manager into which menu contribution items should be added for the child creation actions.
`protected java.util.Collection<IAction>` `createSiblingActions` This will contain one CreateSiblingAction corresponding to each descriptor generated for the current selection's parent.
`protected IMenuManager` `createSiblingMenuManager` This is the menu manager into which menu contribution items should be added for sibling creation actions.
`protected IAction` `refreshViewerAction` This action refreshes the viewer of the current editor if the editor implements `IViewerProvider`.
`protected ISelectionProvider` `selectionProvider`
`protected IAction` `showPropertiesViewAction` This action opens the Properties view.
`protected IAction` `validateAutomaticallyAction` This action enable or disable automatic validation.

Fields inherited from class org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
`activeEditor, ADDITIONS_LAST_STYLE, controlAction, copyAction, cutAction, deleteAction, loadResourceAction, pasteAction, redoAction, style, undoAction, validateAction`

Constructor Summary
`XSDEditor.ActionBarContributor()` This creates an instance of the contributor.

Method Summary
`protected void` `addGlobalActions(IMenuManager menuManager)` This inserts global actions before the "additions-end" separator.
`void` `contributeToMenu(IMenuManager menuManager)` This adds to the menu bar a menu for editor actions, duplicating the menu contribution made in the plugin.xml, so that the new menu is accessible for modification in code.
`void` `contributeToToolBar(IToolBarManager toolBarManager)` This adds Separators to the tool bar.
`protected void` `depopulateManager(IContributionManager manager, java.util.Collection<IAction> actions)` This removes from the specified IContributionManager all ActionContributionItems based on the IActions contained in the actions collection.
`protected java.util.Collection<IAction>` `generateCreateChildActions(java.util.Collection<?> descriptors, ISelection selection)` This generates a `CreateChildAction` for each object in `descriptors`, and returns the collection of these actions.
`protected java.util.Collection<IAction>` `generateCreateSiblingActions(java.util.Collection<?> descriptors, ISelection selection)` This generates a `CreateSiblingAction` for each object in `descriptors`, and returns the collection of these actions.
`void` `menuAboutToShow(IMenuManager menuManager)` This populates the pop-up menu before it appears.
`protected void` `populateManager(IContributionManager manager, java.util.Collection<IAction> actions, java.lang.String ID)` This populates the specified IContributionManager with ActionContributionItems based on the IActions contained in the actions collection, by inserting them before the specified contribution item ID.
`void` `selectionChanged(SelectionChangedEvent event)` This implements `ISelectionChangedListener`, handling SelectionChangedEvents by querying for the children and siblings that can be added to the selected object and updating the menus accordingly.
`void` `setActiveEditor(IEditorPart part)` When the active editor changes, this remembers the change, and registers with it as a selection provider.

Methods inherited from class org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
`activate, contributeToStatusLine, deactivate, getActiveEditor, init, propertyChanged, removeAllReferencesOnDelete, setActivePage, setActiveView, shareGlobalActions, update`

Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor
`contributeToCoolBar, dispose, getActionBars, getPage, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### activeEditorPart

    protected IEditorPart activeEditorPart

### selectionProvider

    protected ISelectionProvider selectionProvider

### refreshViewerAction

    protected IAction refreshViewerAction

  This action refreshes the viewer of the current editor if the editor implements `IViewerProvider`.

### showPropertiesViewAction

    protected IAction showPropertiesViewAction

  This action opens the Properties view.

### validateAutomaticallyAction

    protected IAction validateAutomaticallyAction

  This action enable or disable automatic validation.

### createChildActions

    protected java.util.Collection<IAction> createChildActions

  This will contain one CreateChildAction corresponding to each descriptor generated for the current selection.

### createChildMenuManager

    protected IMenuManager createChildMenuManager

  This is the menu manager into which menu contribution items should be added for the child creation actions.

### createSiblingActions

    protected java.util.Collection<IAction> createSiblingActions

  This will contain one CreateSiblingAction corresponding to each descriptor generated for the current selection's parent.

### createSiblingMenuManager

    protected IMenuManager createSiblingMenuManager

  This is the menu manager into which menu contribution items should be added for sibling creation actions.

Constructor Detail

### XSDEditor.ActionBarContributor

    public XSDEditor.ActionBarContributor()

  This creates an instance of the contributor.

Method Detail

### contributeToMenu

    public void contributeToMenu(IMenuManager menuManager)

  This adds to the menu bar a menu for editor actions, duplicating the menu contribution made in the plugin.xml, so that the new menu is accessible for modification in code. Also, sub-menus are created for the addition and removal of child and sibling creation items.

  Overrides:
    `contributeToMenu` in class `EditingDomainActionBarContributor`

### contributeToToolBar

    public void contributeToToolBar(IToolBarManager toolBarManager)

  This adds Separators to the tool bar.

  Overrides:
    `contributeToToolBar` in class `EditingDomainActionBarContributor`

### setActiveEditor

    public void setActiveEditor(IEditorPart part)

  When the active editor changes, this remembers the change, and registers with it as a selection provider.

  Specified by:
    `setActiveEditor` in interface `IEditorActionBarContributor`
  Overrides:
    `setActiveEditor` in class `EditingDomainActionBarContributor`

### selectionChanged

    public void selectionChanged(SelectionChangedEvent event)

  This implements `ISelectionChangedListener`, handling SelectionChangedEvents by querying for the children and siblings that can be added to the selected object and updating the menus accordingly.

  Specified by:
    `selectionChanged` in interface `ISelectionChangedListener`

### generateCreateChildActions

    protected java.util.Collection<IAction> generateCreateChildActions(java.util.Collection<?> descriptors,
                                                                       ISelection selection)

  This generates a `CreateChildAction` for each object in `descriptors`, and returns the collection of these actions.

### generateCreateSiblingActions

    protected java.util.Collection<IAction> generateCreateSiblingActions(java.util.Collection<?> descriptors,
                                                                         ISelection selection)

  This generates a `CreateSiblingAction` for each object in `descriptors`, and returns the collection of these actions.

### populateManager

    protected void populateManager(IContributionManager manager,
                                   java.util.Collection<IAction> actions,
                                   java.lang.String ID)

  This populates the specified IContributionManager with ActionContributionItems based on the IActions contained in the actions collection, by inserting them before the specified contribution item ID. If ID is null, they are simply added.

### depopulateManager

    protected void depopulateManager(IContributionManager manager,
                                     java.util.Collection<IAction> actions)

  This removes from the specified IContributionManager all ActionContributionItems based on the IActions contained in the actions collection.

### menuAboutToShow

    public void menuAboutToShow(IMenuManager menuManager)

  This populates the pop-up menu before it appears.

  Specified by:
    `menuAboutToShow` in interface `IMenuListener`
  Overrides:
    `menuAboutToShow` in class `EditingDomainActionBarContributor`

### addGlobalActions

    protected void addGlobalActions(IMenuManager menuManager)

  This inserts global actions before the "additions-end" separator.

  Overrides:
    `addGlobalActions` in class `EditingDomainActionBarContributor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.